<?php
require'f_profill.php';
$titlu='Comenteaza profil '.$unume;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='comentariu la profilul membrului '.$unume;
$text=$pmtext;
require'f_ban.php';
}
require'f_comentarii_profil.php';
require'f_spam.php';
if(!comentarii_profil())
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți comenta acest profil!'.$div[0];
elseif(($pmtext!=''&&$conn->query('SELECT COUNT(*)FROM`comentarii_profil`WHERE`text`="'.$pmtext.'"&&`de`="'.$de.'"&&`la`="'.$la.'"')->fetch_row()[0]==0&&$conn->query('SELECT`de`FROM`comentarii_profil`WHERE`la`="'.$la.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]!=$de?$conn->query('INSERT INTO`comentarii_profil`SET`la`="'.$la.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="'.$pmtext.'",`raportat`="'.(spam($pmtext)&&!in_array($de,$id_proprietari)?$id_robot:0).'"'):false))
{
$id_comentariu=$conn->insert_id;
require'f_notificare.php';
notificare('ti-am scris [url=/comentarii-profil'.$x2.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la profil!',$la,$de);
$abonati[0]=$de;
$items=$conn->query('SELECT DISTINCT`de`FROM`comentarii_profil`WHERE`la`="'.$la.'"&&`de`!="'.$de.'"&&`de`!="'.$la.'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
unset($abonati[0]);
foreach($abonati AS$cheie=>$valoare)
{
notificare('am scris și eu [url=/comentarii-profil'.$x2.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la profilul membrului '.$unume.'!',$valoare,$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="i-a scris [url=/comentarii-profil'.$x2.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la profil, la",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Comentariu adăugat cu succes!<br />Vei primi notificari cand primește comentarii noi!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic, comentariul anterior a fost scris tot de tine, sau ai mai scris acest text intr-un alt comentariu la acest profil!';
echo$div[0];
require'f_jos.php';